V1.0
put
/ec-designer-svc/rest/v1.0/studies/{studyId}/state/{statedata}
Updates status of a specified study.
Request
Path Parameters
-
statedata(required): string
Study State. Example: "ACTIVE"Example:
ACTIVE -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686EExample:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : StudyStateDto v1.0
Type:
objectTitle:
StudyStateDto v1.0Information about the state of a study for UI consumption.
Show Source
-
id: string
(uuid)
-
previousState: string
Allowed Values:
[ "settings", "active", "design", "test", "training" ]Previous state of a study for UI consumptionExample:training -
studyState: string
Allowed Values:
[ "settings", "active", "design", "test", "training" ]State of a study for UI consumptionExample:active
Examples
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object